Packages - Packaging Request #1549

[firefox-wayland-git (iceweasel-wayland-git)] Add package to PCR
2017-11-28 05:13 PM - ToffeeYogurtPots

Status: wont-fix % Done: 0%
Priority: wish

Assignee: oaken-source

Category:

Description

Description: The libre web browser based on Mozilla Firefox. With Wayland patches from gecko-dev.
License: MPL GPL LGPL (same as standard Iceweasel package)

AUR: https://aur.archlinux.org/packages/firefox-wayland-git/

PKGBUILD: https://aur.archlinux.org/cgit/aur.git/plain/PKGBUILD ?h=firefox-wayland-git

gecko-dev source: https:/github.com/stransky/gecko-dev

Mozilla are currently working towards porting Firefox to Wayland: https://bugzilla.mozilla.org/show_bug.cgi?id=635134. The main
issue with porting is Gecko but a lot of progress has been made and it is now possible to run Firefox without using xwayland. Though
this requires using the developer version of Gecko.

The AUR package ( https://aur.archlinux.org/packages/firefox-wayland-qit/ ) does build but it would need the Mozilla branding
replaced with the Debian Iceweasel branding. Plus non-free services like Pocket would need removing.

Assigned oaken-source as discussed on IRC.

History

#1 - 2018-07-19 03:01 AM - ovruni

- Priority changed from bug to wish

#2 - 2020-12-15 02:19 PM - oaken-source

- Status changed from open to wont-fix

introducing another variant of the ice* browsers is probably not worth it right now.

closing as stale.
